PDA

View Full Version : Extension question



steveo
09-11-2000, 03:42 AM
If my glGetString(GL_EXTENSIONS) show GL_EXT_vertex_array, does that make the driver opengl version 1.0. If the driver is version 1.1 this extension is available by default (built in) right? I ask this because my (ATI Rage Mobility) is not rendering vertex arrays correctly.

Thanks for any thoughts.

Steve

Serge K
09-15-2000, 07:13 PM
> If my glGetString(GL_EXTENSIONS) show GL_EXT_vertex_array, does that make the driver opengl version 1.0.

It has nothing to do with OpenGL version.
Some drivers have obsolete extensions for compatibility with really old software.
You have OpenGL 1.0 only if glGetString(GL_VERSION) returns "1.0[.x]"

> If the driver is version 1.1 this extension is available by default (built in) right?

No.
If you have OpenGL 1.1, it does not mean that you can use (for example) glVertexPointerEXT().

But this functionality was included into OpenGL 1.1 core, and you can use glVertexPointer() without loading its pointer manually.

> I ask this because my (ATI Rage Mobility) is not rendering vertex arrays correctly.


As far as I know - You are not the first with this problem. ATI drivers are quite crappy... http://www.opengl.org/discussion_boards/ubb/rolleyes.gif